Awesome Godot
=============

A curated list of free/libre plugins, add-ons and scripts for [Godot](http://godotengine.org).

Want to contribute to this list? Read [CONTRIBUTING.md](https://github.com/Calinou/awesome-godot/blob/master/CONTRIBUTING.md) first.

For installation instructions, read [INSTALL.md](https://github.com/Calinou/awesome-godot/blob/master/INSTALL.md).

Modules
-------

*Stuff integrated into Godot core (C++).*

Nothing for now.

Plugins and scripts
-------------------

*Scripts that let you do new stuff, or enhance Godot functionality.*

* [Add Primitives](https://github.com/TheHX/add_primitives) - Add cylinders, spheres, cubes easily.
* [Heightmap](https://gist.github.com/Calinou/e771fcbc26a87b807f7f) - Make an heightmap into terrain.
* [Polygon Merge](https://github.com/ScyDev/Godot-Scripts) - Merge polygons.
* [Resolution Switcher](https://github.com/vinod8990/godot_plugins) - Switch resolutions easily, for testing.
* [SUTjoystick](https://gitlab.com/shine-upon-thee/joystick) - Easy gamepad support (Windows and Linux)
* [Tiled importer](https://github.com/MrGreenTea/GodotTiledImporter) - Import maps from [Tiled](http://mapeditor.org).
* [Tileset Builder](https://gist.github.com/Calinou/27e979ab0a35500c3381) - Build tilesets.

GDScript syntax highlighting
----------------------------

*Add-ons for text editors that add syntax highlighting to GDscript.*

* [Atom](https://github.com/jlopezcur/language-gdscript) - Not present on atom.io, install it manually.
* [Geany](https://github.com/haimat/GDScript-Geany)
* [Gedit](https://github.com/haimat/GDScript-gedit)
* [Sublime Text](https://github.com/beefsack/GDScript-sublime)
* [Vim](https://github.com/quabug/vim-gdscript)

Other
-----

*Other stuff.*

* [godot.sh](https://github.com/adolson/godot-stuff/blob/master/godot.sh) - Script that automatically downloads and launches latest version of Godot, or compiles and launches git master branch.
* [godot-wrapper](https://github.com/nsrosenqvist/godot-wrapper.git) - Script that helps Debian and Ubuntu users install and use Godot.
* [replicate-file.sh](https://github.com/adolson/godot-stuff/blob/master/replicate-file.sh) - Script to update copies of a file with one master file.
* [strip-to-frames.pl](https://github.com/adolson/godot-stuff/blob/master/strip-to-frames.pl) - Perl script to split a grid spritesheet image into numbered individual frame files.
* [update-git.sh](https://gist.github.com/Calinou/93938dc92484bc5e89f0) - Updates all Git repositories contained in a directory.
